package com.ruoyi.ss.payBill.service;

import com.ruoyi.ss.payBill.domain.PayBill;
import com.ruoyi.ss.timeBill.domain.TimeBill;
import com.ruoyi.ss.transactionBill.domain.bo.RechargePayDepositBO;
import com.ruoyi.ss.transactionBill.domain.dto.RechargePayBO;

/**
 * @author wjh
 * 2024/8/9
 */
public interface PayBillConverter {


    PayBill toPo(TimeBill timeBill, Long channelId);

    /**
     * 充值订单订单支付转为支付订单
     */
    PayBill toPoByRechargeMoney(RechargePayBO bo);

    /**
     * 充值订单押金支付转为支付订单
     */
    PayBill toPoByRechargeDeposit(RechargePayDepositBO bo);
}
