package com.ruoyi.ss.transactionBill.domain.bo;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.ss.bonus.domain.Bonus;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.store.domain.StoreVo;
import com.ruoyi.ss.suit.domain.SuitVO;
import com.ruoyi.ss.transactionBill.domain.TransactionBill;
import com.ruoyi.ss.transactionBill.domain.dto.RechargeDTO;
import com.ruoyi.ss.user.domain.SmUserVO;
import lombok.Data;

import java.util.List;

/**
 * 设备充值BO
 * @author wjh
 * 2024/7/28
 */
@Data
public class RechargeBO {

    // 设备
    private DeviceVO device;

    // 充值用户
    private SmUserVO user;

    // 商户
    private SmUserVO mch;

    // 套餐
    private SuitVO suit;

    // 最终订单
    private TransactionBill order;

    // 原始参数
    private RechargeDTO params;

    // 店铺
    private StoreVo store;

    // 分成详情
    private List<Bonus> bonusList;

    // 平台
    private SysDept platform;

    // 代理商
    private SmUserVO agent;
}
